LibreOffice: XMultiPropertySet Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XMultiPropertySet Interface Referencepublished

provides access to multiple properties with a single call. More...

`import"XMultiPropertySet.idl";`

Inheritance diagram for XMultiPropertySet:

## Public Member Functions
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to multiple properties with a single call.

Developers Guide
  ProUNO - Properties

## Member Function Documentation

## ◆ addPropertiesChangeListener()

void addPropertiesChangeListener | ( | [in] sequence< string > | aPropertyNames,
|  | [in] com::sun::star::beans::XPropertiesChangeListener | xListener
| ) |  |

adds an XPropertiesChangeListener to the specified property with the specified names.

The implementation can ignore the names of the properties and fire the event on all properties.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

Parameters

  aPropertyNames | specifies the names of the properties.
  xListener | contains the listener for the property change events.

See also
  removePropertiesChangeListener

## ◆ firePropertiesChangeEvent()

void firePropertiesChangeEvent | ( | [in] sequence< string > | aPropertyNames,
|  | [in] com::sun::star::beans::XPropertiesChangeListener | xListener
| ) |  |

fires a sequence of PropertyChangeEvents to the specified listener.

Parameters

  aPropertyNames | specifies the sorted names of the properties.
  xListener | contains the listener for the property change events.

## ◆ getPropertySetInfo()

com::sun::star::beans::XPropertySetInfo getPropertySetInfo | ( |  | ) |

Returns
  the XPropertySetInfo interface, which describes all properties of the object to which this interface belongs. NULL is returned if the object cannot or will not provide information about the properties.

See also
  XPropertySet::getPropertySetInfo

## ◆ getPropertyValues()

sequence< any > getPropertyValues | ( | [in] sequence< string > | aPropertyNames | ) |

Returns
  a sequence of all values of the properties which are specified by their names.

The order of the values in the returned sequence will be the same as the order of the names in the argument.

Parameters

  aPropertyNames | specifies the names of the properties. This sequence must be alphabetically sorted.

## ◆ removePropertiesChangeListener()

void removePropertiesChangeListener | ( | [in] com::sun::star::beans::XPropertiesChangeListener | xListener | ) |

removes an XPropertiesChangeListener from the listener list.

It is a "noop" if the listener is not registered.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

Parameters

  xListener | contains the listener to be removed.

See also
  addPropertiesChangeListener

## ◆ setPropertyValues()

void setPropertyValues | ( | [in] sequence< string > | aPropertyNames,
|  | [in] sequence< any > | aValues
| ) |  |
raises | ( | com::sun::star::beans::PropertyVetoException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

sets the values to the properties with the specified names.

The values of the properties must change before the bound events are fired. The values of the constrained properties should change after the vetoable events are fired and only if no exception occurred. Unknown properties are ignored.

Parameters

  aPropertyNames | specifies the names of the properties. All names must be unique. This sequence must be alphabetically sorted.
  aValues | contains the new values of the properties. The order is the same as in aPropertyNames.

Exceptions

  IllegalArgumentException | if one of the new values cannot be converted to the type of the underlying property by an identity or widening conversion.
  com::sun::star::lang:WrappedTargetException | if the implementation has an internal reason for the exception. In this case the original exception is wrapped.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XMultiPropertySet.idl